# Remove scoped configuration for a provider

Removes the scoped provider record and scoped model records for the scope. Agents that were using those models are automatically disabled.

RBAC:
- requires ANY of AIProviders.Manage, GroupAIProviders.Manage

Endpoint: DELETE /api/v1/ai-providers/{providerId}/configure
Version: 1.0
Security: header

## Path parameters:

  - `providerId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Query parameters:

  - `scope` (string, required)
    Scope: 'global' or group TypeId

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 403 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


